org.apache.ignite.internal.visor.util

## Class VisorExceptionWrapper

- java.lang.Object
- - java.lang.Throwable
  - - org.apache.ignite.internal.visor.util.VisorExceptionWrapper

All Implemented Interfaces:
  Serializable

    public class VisorExceptionWrapper
    extends Throwable

Exception wrapper for safe for transferring to Visor.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorExceptionWrapper(Throwable cause)` Wrap throwable by presented on Visor throwable object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()`
`String` `getClassSimpleName()`
`String` `getMessage()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorExceptionWrapper

    public VisorExceptionWrapper(Throwable cause)

Wrap throwable by presented on Visor throwable object.

Parameters:
  `cause` - Base throwable object.

### Method Detail

#### getClassSimpleName

    public String getClassSimpleName()

Returns:
  Class simple name of base throwable object.

#### getClassName

    public String getClassName()

Returns:
  Class name of base throwable object.

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018